<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KIO.ForwardingSlaveBase</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>ForwardingSlaveBase Class Reference</h1>
<code>from PyKDE4.kio import *</code>
<p>
Inherits: <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a>,<a href="../kio/KIO.SlaveBase.html">KIO.SlaveBase</a><br />

Namespace: KIO<br />
<h2>Detailed Description</h2>
<dl class="abstract" compact><dt><b>Abstract class:</b></dt>
<dd>This class can be used as a base class for new classes, but can not be instantiated directly.</dd></dl>
<p>This class should be used as a base for ioslaves acting as a
forwarder to other ioslaves. It has been designed to support only
local filesystem like ioslaves.
</p>
<p>
If the resulting ioslave should be a simple proxy, you only need
to implement the ForwardingSlaveBase.rewriteUrl() method.
</p>
<p>
For more advanced behavior, the classic ioslave methods should
be reimplemented, because their default behavior in this class
is to forward using the ForwardingSlaveBase.rewriteUrl() method.
</p>
<p>
A possible code snippet for an advanced stat() behavior would look
like this in the child class:
</p>
<p>
<pre class="fragment">
     void ChildProtocol.stat(const KUrl &amp;url)
     {
         bool is_special = false;

         // Process the URL to see if it should have
         // a special treatment

         if ( is_special )
         {
             // Handle the URL ourselves
             KIO.UDSEntry entry;
             // Fill entry with UDSAtom instances
             statEntry(entry);
             finished();
         }
         else
         {
             // Setup the ioslave internal state if
             // required by ChildProtocol.rewriteUrl()
             ForwardingSlaveBase.stat(url);
         }
     }
</pre>
</p>
<p>
Of course in this case, you surely need to reimplement listDir()
and get() accordingly.
</p>
<p>
If you want view on directories to be correctly refreshed when
something changes on a forwarded URL, you'll need a companion kded
module to emit the KDirNotify Files*() D-Bus signals.
</p>
<p>
This class was initially used for media:/ ioslave. This ioslave code
and the MediaDirNotify class of its companion kded module can be a
good source of inspiration.
</p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> ForwardingSlaveBase.rewriteUrl()
</dd></dl> 
<dl class="author" compact><dt><b>Author:</b></dt><dd> Kevin Ottens &lt;ervin@ipsquad.net&gt; </dd></dl>
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197767372">__init__</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a> protocol, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a> poolSocket, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a> appSocket)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197077644">chmod</a> (self, <a href="../kdecore/KUrl.html">KUrl</a> url, int permissions)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj193754028">copy</a> (self, <a href="../kdecore/KUrl.html">KUrl</a> src, <a href="../kdecore/KUrl.html">KUrl</a> dest, int permissions, KIO.JobFlags flags)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj193754604">del_</a> (self, <a href="../kdecore/KUrl.html">KUrl</a> url, bool isfile)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197768588">get</a> (self, <a href="../kdecore/KUrl.html">KUrl</a> url)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197047308">listDir</a> (self, <a href="../kdecore/KUrl.html">KUrl</a> url)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197049548">mimetype</a> (self, <a href="../kdecore/KUrl.html">KUrl</a> url)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197047468">mkdir</a> (self, <a href="../kdecore/KUrl.html">KUrl</a> url, int permissions)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj193756076">prepareUDSEntry</a> (self, <a href="../kio/KIO.UDSEntry.html">KIO.UDSEntry</a> entry, bool listing=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191899244">processedUrl</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197048204">put</a> (self, <a href="../kdecore/KUrl.html">KUrl</a> url, int permissions, KIO.JobFlags flags)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197075564">rename</a> (self, <a href="../kdecore/KUrl.html">KUrl</a> src, <a href="../kdecore/KUrl.html">KUrl</a> dest, KIO.JobFlags flags)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191898060">requestedUrl</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj193756236">rewriteUrl</a> (self, <a href="../kdecore/KUrl.html">KUrl</a> url, <a href="../kdecore/KUrl.html">KUrl</a> newURL)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197077740">setModificationTime</a> (self, <a href="../kdecore/KUrl.html">KUrl</a> url, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qdatetime.html">QDateTime</a> mtime)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197049580">stat</a> (self, <a href="../kdecore/KUrl.html">KUrl</a> url)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197076204">symlink</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> target, <a href="../kdecore/KUrl.html">KUrl</a> dest, KIO.JobFlags flags)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj197767372"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a>&nbsp;</td>
<td class="paramname"><em>protocol</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a>&nbsp;</td>
<td class="paramname"><em>poolSocket</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a>&nbsp;</td>
<td class="paramname"><em>appSocket</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj197077644"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> chmod</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>permissions</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj193754028"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> copy</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>src</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>dest</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>permissions</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KIO.JobFlags&nbsp;</td>
<td class="paramname"><em>flags</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj193754604"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> del_</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>isfile</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj197768588"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> get</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj197047308"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> listDir</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj197049548"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> mimetype</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj197047468"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> mkdir</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>permissions</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj193756076"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> prepareUDSEntry</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kio/KIO.UDSEntry.html">KIO.UDSEntry</a>&nbsp;</td>
<td class="paramname"><em>entry</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>listing=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Allow to modify a UDSEntry before it's sent to the ioslave enpoint.
This is the default implementation working in most case, but sometimes
you could make use of more forwarding black magic (for example
dynamically transform any desktop file into a fake directory...)
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>entry</em>&nbsp;</td><td> the UDSEntry to post-process

<tr><td></td><td valign="top"><em>listing</em>&nbsp;</td><td> indicate if this entry it created during a listDir
operation
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj191899244"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KUrl.html">KUrl</a> processedUrl</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Return the URL being processed by the ioslave
Only access it inside prepareUDSEntry()
</p></div></div><a class="anchor" name="obj197048204"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> put</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>permissions</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KIO.JobFlags&nbsp;</td>
<td class="paramname"><em>flags</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj197075564"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> rename</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>src</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>dest</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KIO.JobFlags&nbsp;</td>
<td class="paramname"><em>flags</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj191898060"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KUrl.html">KUrl</a> requestedUrl</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Return the URL asked to the ioslave
Only access it inside prepareUDSEntry()
</p></div></div><a class="anchor" name="obj193756236"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool rewriteUrl</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>newURL</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p>Rewrite an url to its forwarded counterpart. It should return
true if everything was ok, and false otherwise.
</p>
<p>
If a problem is detected it's up to this method to trigger error()
before returning. Returning false silently cancel the current
slave operation.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>url</em>&nbsp;</td><td> The URL as given during the slave call

<tr><td></td><td valign="top"><em>newURL</em>&nbsp;</td><td> The new URL to forward the slave call to
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if the given url could be correctly rewritten
</dd></dl>
</p></div></div><a class="anchor" name="obj197077740"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setModificationTime</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qdatetime.html">QDateTime</a>&nbsp;</td>
<td class="paramname"><em>mtime</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj197049580"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> stat</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj197076204"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> symlink</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>target</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>dest</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KIO.JobFlags&nbsp;</td>
<td class="paramname"><em>flags</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
